Exchange 2010, Evolution, Ubuntu 11.04

Hace pocos días que ha salido la nueva release de Ubuntu, la 11.04, que aporta la nueva interfaz Unity. Visualmente es más cool, y agrupa las aplicaciones en iconos, en una barra lateral.

Estuve googleando, por si algún valiente ya lo había instalado en un macbook Pro 7,1…. así evito sorpresas de cosas que no van para tener que formatear mi Mac. Desde que uso linux, los formateos de mi pc de trabajo y personal (hace unos años), se han reducido drásticamente…. no virus, no lentitud al arrancar y, me aseguro que el puerto serie que uso para configurar los routers, me funciona a la primera, cosa que no siempre era así con windows (ni xp ni 7).

Mi servidor de correo, mientras no lo migre, sigue siendo un windows 2008 r2 con exchange 2010, ya que en una sola plataforma tengo el activesync para los moviles de casa (android y iOS) y un servidor centralizado para los buzones. Tengo en vista el Zimbra o Zarafa, pero hay que sopesar el precio de las licencias para soportar dispositivos móviles, mientras que de Microsoft, al trabajar en una empresa distribuidora y certificada, tenemos licencias para uso interno… tiempo al tiempo.

Exchange usa MAPI como protocolo principal para los buzones… aunque puedes usar SMTP / IMAP / POP3, no es lo mismo… para mi MAC con OS X, tengo solucionado el tema con el Outlook 2011, que funciona bastante bien, pero con Linux (lo que uso a diario), el tema está más difícil.

Desde que salió la release 10.04, el conector exchange-mapi ha dado un giro radical, al ser compatible con exchange 2003, 2007 y 2010 y lo usé con ubuntu 10.04 y 10.10, pero al migrar a la 11.04, dejó de funcionar.

Estuve googleando unos días y, en un foro encontré un grupo de usuarios con el mismo problema…. aqui.

Explican el problema y proponen unos cambios en las librerias exchange-mapi y libexchangemapi.

Paquete deb para 32 bits:

evolution-mapi_0.32.2-0ubuntu1_i386
libexchangemapi-1.0-0_0.32.2-0ubuntu1_i386

Cambiar las extensiones de *.tar a *.deb

Paquete deb para 64 bits:
evolution-mapi_0.32.2-0ubuntu1_amd64
libexchangemapi-1.0-0_0.32.2-0ubuntu1_amd64